Categories:
  - Internet
  - Graphics
License: GPL-3.0-or-later
SourceCode: https://github.com/vauvenal5/yaga
IssueTracker: https://github.com/vauvenal5/yaga/issues
Changelog: https://github.com/vauvenal5/yaga/releases

AutoName: Yaga

RepoType: git
Repo: https://github.com/vauvenal5/yaga.git

Builds:
  - versionName: 0.15.10
    versionCode: 1510
    commit: v0.15.10
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.15.11
    versionCode: 1511
    commit: v0.15.11
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.16.2
    versionCode: 1602
    commit: v0.16.2
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.16.3
    versionCode: 1603
    commit: v0.16.3
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.17.5
    versionCode: 1705
    commit: v0.17.5
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.18.1
    versionCode: 1801
    commit: v0.18.1
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.18.2
    versionCode: 1802
    commit: v0.18.2
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.19.0
    versionCode: 1900
    commit: v0.19.0
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.19.1
    versionCode: 1901
    commit: v0.19.1
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.21.1
    versionCode: 2101
    commit: v0.21.1
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.21.2
    versionCode: 2102
    commit: v0.21.2
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.21.5
    versionCode: 2105
    commit: v0.21.5
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.22.0
    versionCode: 2200
    commit: v0.22.0
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.22.2
    versionCode: 2202
    commit: v0.22.2
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.22.3
    versionCode: 2203
    commit: v0.22.3
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.22.4
    versionCode: 2204
    commit: v0.22.4
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.23.1
    versionCode: 2301
    commit: v0.23.1
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.4
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 0.23.2
    versionCode: 2302
    commit: v0.23.2
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@2.0.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - $$flutter$$/bin/flutter pub run flutter_launcher_icons:main
      - $$flutter$$/bin/flutter pub run build_runner build --delete-conflicting-outputs
      - $$flutter$$/bin/flutter build apk --flavor fdroid

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/vauvenal5/yaga/master/pubspec.yaml|version:\s\d+\.\d+\.\d+\+(\d+)|.|version:\s(\d+\.\d+\.\d+)\+\d+
CurrentVersion: 0.23.2
CurrentVersionCode: 2302
